Subject: [bug#55423] [PATCH]: gnu: Add mogan.

From: Zhu Zihao <[email-masked]>
Date: Sun, 15 May 2022 22:05:54 +0800

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Zhu Zihao schreef op zo 15-05-2022 om 11:21 [+0800]:
>> +            (replace 'gzip-flags
>> +              (lambda _
>> +                (substitute* "misc/CMakeLists.txt"
>> +                  (("COMMAND gzip" all)
>> +                   (string-append all " -n")))))))))
>
> -n = for no time stamp and reproducibility?  I recommend sending this
> change to upstream (if accepted by them), such that every distribution
> benefits.

I'll suggest a patch to upstream. But I think we don't need these phase
at all. There's reset-gzip-timestamps in gnu-build-system and the
timestamp of all gzip files will be cleared in the build process.

> S7 scheme appears to be missing in the inputs, is it bundled?

Yes, it's bundled. But I don't have a plan to unbundle it. It's small
and we'll have more work to do if we try to unbundle. 

-- 
Retrieve my PGP public key:

  gpg --recv-keys D47A9C8B2AE3905B563D9135BE42B352A9F6821F

Zihao